/*                                                                -*- mode: c; c-basic-offset: 8;  -*-
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 ============================================================================
 Common internal functions which are used by gfal/FTS common operations 
 ============================================================================
 */


#ifndef COMMON_H
#define COMMON_H

#include "ServiceDiscoveryIfce.h"

char *plugin_is_set(void);

char *base_is_set(void);

int gfal_is_interface_test_get_max_uri_length(void);

char *strtok_uri(char *uri);

void parse_url(const char *url, char **scheme, char **host, int *port, char **path);

/*for fts only - connection reuse*/
void close_connection_c(LDAP *ld);
LDAP *get_connection_c(SDException *exception, char *errbuf, int errbufsz);

void close_connection(LDAP *ld);
LDAP *get_connection(SDException *exception, char *errbuf, int errbufsz);

char *gfal_is_interafce_test_strtok_uri(char *uri);

void report_query_error(const char *fmt, LDAP *ld, LDAPMessage *msg, int err,
        SDException *exception);

void SD_setException(SDException *exception, int status, const char *reason, char *errbuf, int errbufsz);

char *get_single_value(LDAP *ld, LDAPMessage *msg, const char *attr);

int connect_search_ldap(char *base, char *query, char *attr[], LDAP *ld, SDException *exception, LDAPMessage **reply, char *errbuf, int errbufsz);

int get_timeout();

char *get_host( const char *endpoint);

char *dupstr(const char *from);

SDVOList *checkVOEnv(void);

void SD_freeVOList(SDVOList *vos);

const char *get_vo(const char *acrb);

char *mystrcasestr(const char *haystack, const char *needle);

#endif
