/*                                                                -*- mode: c; c-basic-offset: 8;  -*-
 * Copyright (c) Members of the EGEE Collaboration. 2012.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 ============================================================================
 Actual definitions.
 ============================================================================
 */

#include "Common.h"
#include "Definitions.h"


/**********************************************************************
 * Global variables
 */
char *SD_EMPTY_MESSAGE = ""; /* default error message */
char *SD_NOMEM_MESSAGE = "Out of memory"; /* error message when there were not enough*/


/* Data key object attributes */

char *data_attrs[] = {ATTR_DATAKEY, ATTR_DATAVALUE, NULL};

char *all_attrs[] = {LDAP_ALL_USER_ATTRIBUTES, NULL};

char *no_attrs[] = {LDAP_NO_ATTRS, NULL};

char *link_attrs[] = {ATTR_LINK, NULL};

char *service_attrs[] = {ATTR_NAME, ATTR_TYPE, ATTR_ENDPOINT, ATTR_VERSION, NULL};

char *site_attrs[] = {ATTR_LINK, NULL};

char *sa_attrs[] = {ATTR_SA_ROOT, ATTR_SA_ACBR, NULL};

char *wsdl_attrs[] = {ATTR_WSDL, NULL};

char *sa_path_attrs[] = {ATTR_SA_ROOT_ATNM, ATTR_SA_PATH_ATNM, NULL};

char *lfc_endpoint_attrs[] = {ATTR_ENDPOINT, NULL};

char *ce_ap_attrs[] = {ATTR_CE_AP_ATNM, NULL};

char *seap_attrs[] = {ATTR_PROTO_PORT, ATTR_PROTO_TYPE, NULL};

char* available_plungins[] = { "file","bdii" };

char *g2_storage_path_attrs[] = 	{GLUE2_GLUE2ShareID, GLUE2_GLUE2StorageSharePath, NULL};

char *g2_lfc_endpoint_attrs[] =  {GLUE2_ATTR_ENDPOINT, NULL};

char *g2_lfc_endpoint_foreign_key_attrs[] =  {GLUE2_ACCESS_POLICY_FK, NULL};

char *g2_lfc_policy_attrs[] =  	{GLUE2_POLICY_ID, NULL};

char *g2_ce_ap_attrs[] = 	{GLUE2_ATTR_CE_AP_ATNM, NULL};

char *g2_seap_attrs[] = 		{GLUE2_ATTR_ENDPOINT, NULL};

